Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class CMapBuilder

    java.lang.Object
      org.apache.fop.pdf.CMapBuilder

    public class CMapBuilder

extends java.lang.Object

A cmap builder.

Field Summary
`protected java.lang.String` | `name` name
`protected java.io.Writer` | `writer` writer

Constructor Summary
`CMapBuilder(java.io.Writer writer, java.lang.String name)` Construct cmap builder.

Method Summary
`protected void` | `writeBFEntries()`
`protected void` | `writeCIDInit()`
`protected void` | `writeCIDRange()`
`protected void` | `writeCIDSystemInfo()`
`protected void` | `writeCIDSystemInfo(java.lang.String registry, java.lang.String ordering, int supplement)`
`void` | `writeCMap()` Writes the CMap to a Writer.
`protected void` | `writeCodeSpaceRange()`
`protected void` | `writeCodeSpaceRange(boolean singleByte)`
`protected void` | `writeName(java.lang.String name)`
`protected void` | `writePreStream()`
`protected void` | `writeStreamAfterComments()`
`protected void` | `writeStreamComments()`
`protected void` | `writeType(java.lang.String type)`
`protected void` | `writeUseCMap()` does nothing
`protected void` | `writeVersion(java.lang.String version)`
`protected void` | `writeWrapUp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  name

### writer

    protected java.io.Writer writer

  writer

Constructor Detail

### CMapBuilder

    public CMapBuilder(java.io.Writer writer,
                       java.lang.String name)

  Construct cmap builder.

  Parameters:
    `writer` - a writer
    `name` - a name

Method Detail

### writeCMap

    public void writeCMap()
                   throws java.io.IOException

  Writes the CMap to a Writer.

  Throws:
    `java.io.IOException` - if an I/O error occurs

### writePreStream

    protected void writePreStream()
                           throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeStreamComments

    protected void writeStreamComments()
                                throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeCIDInit

    protected void writeCIDInit()
                         throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeCIDSystemInfo

    protected void writeCIDSystemInfo(java.lang.String registry,
                                      java.lang.String ordering,
                                      int supplement)
                               throws java.io.IOException

  Parameters:
    `registry` - string
    `ordering` - string
    `supplement` - string
  Throws:
    `java.io.IOException` - if i/o exception

### writeCIDSystemInfo

    protected void writeCIDSystemInfo()
                               throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeVersion

    protected void writeVersion(java.lang.String version)
                         throws java.io.IOException

  Parameters:
    `version` - a version
  Throws:
    `java.io.IOException` - if i/o exception

### writeType

    protected void writeType(java.lang.String type)
                      throws java.io.IOException

  Parameters:
    `type` - a type
  Throws:
    `java.io.IOException` - if i/o exception

### writeName

    protected void writeName(java.lang.String name)
                      throws java.io.IOException

  Parameters:
    `name` - a name
  Throws:
    `java.io.IOException` - if i/o exception

### writeCodeSpaceRange

    protected void writeCodeSpaceRange()
                                throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeCodeSpaceRange

    protected void writeCodeSpaceRange(boolean singleByte)
                                throws java.io.IOException

  Parameters:
    `singleByte` - true if single byte range
  Throws:
    `java.io.IOException` - if i/o exception

### writeCIDRange

    protected void writeCIDRange()
                          throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeBFEntries

    protected void writeBFEntries()
                           throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeWrapUp

    protected void writeWrapUp()
                        throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeStreamAfterComments

    protected void writeStreamAfterComments()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException` - if i/o exception

### writeUseCMap

    protected void writeUseCMap()

  does nothing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.